# $Revision: 1.22 $, $Date: 2007/02/13 07:47:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	SpamTest-Bayesian
Summary:	Mail::SpamTest::Bayesian - Perl extension for Bayesian spam-testing
Summary(pl.UTF-8):	Mail::SpamTest::Bayesian - rozszerzenie Perla do wykrywania spamu metodą bayesowską
Name:		perl-Mail-SpamTest-Bayesian
Version:	0.02
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b3656a57490c6ff342ba180da3ec9762
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl(MIME::Parser) >= 5.406
BuildRequires:	perl-BerkeleyDB >= 0.17
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements the Bayesian spam-testing algorithm described
by Paul Graham at <http://www.paulgraham.com/spam.html>.

In short: the system is trained by exposure to mailboxes of known spam
and non-spam messages.  These are (1) MIME-decoded, and non-text parts
deleted; (2) tokenised.  The database files spam.db and nonspam.db
contain lists of tokens and the number of messages in which they have
occurred; general.db holds a message count.

%description -l pl.UTF-8
Ten moduł jest implementacją bayesowskiego algorytmu wykrywania spamu
opisanego przez Paula Grahama w <http://www.paulgraham.com/spam.html>.

W skrócie: system jest uczony poprzez przedstawianie skrzynek z
wiadomościami, o których wiadomo, że zawierają spam lub go nie
zawierają. Są one (1) zakodowane MIME, z usuniętymi częściami
nietekstowymi; (2) ztokenizowane. Pliki baz danych spam.db i
nonspam.db zawierają listy tokenów i liczby wiadomości, w których
wystąpiły; general.db przechowuje liczbę wiadomości.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%dir %{perl_vendorlib}/Mail/SpamTest
%{perl_vendorlib}/Mail/SpamTest/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-SpamTest-Bayesian.spec,v $
Revision 1.22  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.20  2004/11/03 22:30:32  paladine
- formatting

Revision 1.19  2004/06/05 18:10:43  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.18  2004/05/07 01:12:27  ankry
- rel. 4

Revision 1.17  2004/05/06 18:20:34  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/25 00:50:57  ankry
- cosmetics: unification

Revision 1.15  2004/04/23 06:22:06  ankry
- license fixes/unification

Revision 1.14  2004/04/20 23:59:34  ankry
- ported to new bconds

Revision 1.13  2004/04/14 21:16:31  ankry
- cosmetics, unification

Revision 1.12  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:08:58  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:48  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 20:20:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:40:16  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:36:13  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/09/16 08:25:40  ankry
- added missing dir
- release 2

Revision 1.3  2002/09/12 22:20:53  radek
- version 0.02
- added Changes and README files

Revision 1.2  2002/08/31 12:21:47  qboosh
- pl description, release 2

Revision 1.1  2002/08/25 15:20:33  radek
- new, STBR
